module Person (Genre (..), Person (..), readMaybeGenre) where

import Text.Read (readMaybe)
import Lib (readMaybeInt)

data Genre = F | M deriving (Read, Show, Eq)

class Person person where
    name :: person -> String
    age :: person -> Int
    genre :: person -> Genre

-- read a string and try to convert to Genre
readMaybeGenre :: String -> Maybe Genre
readMaybeGenre g = readMaybe g :: Maybe Genre