module Person (Genre (..), Person (..), readMaybeGenre) where

import ClassyPrelude.Yesod

import Text.Read (readMaybe)

data Genre = Female | Male deriving (Read, Show, Eq)

class Person person where
    name :: person -> Text
    age :: person -> Int
    genre :: person -> Genre

-- read a string and try to convert to Genre
readMaybeGenre :: String -> Maybe Genre
readMaybeGenre g = readMaybe g :: Maybe Genre

derivePersistField "Genre"